# Produce Windows executables
# links with PDPCLIB created by makefile.msv

CC=gccwin
CFLAGS=-O2
LD=ldwin
LDFLAGS=
AS=aswin
AR=arwin
COPTS=-S $(CFLAGS) -fno-common -funsigned-char -ansi -I. -I../../pdos/pdpclib -D__WIN32__

all: clean s86.exe sld.exe sar.exe

s86.exe: s86.o ufseek.o
  $(LD) $(LDFLAGS) -s -o s86.exe ../../pdos/pdpclib/w32start.o temp.a ../../pdos/pdpclib/msvcrt.a
  rm -f temp.a

sld.exe: sld.o ufseek.o
  $(LD) $(LDFLAGS) -s -o sld.exe ../../pdos/pdpclib/w32start.o temp.a ../../pdos/pdpclib/msvcrt.a
  rm -f temp.a

sar.exe: sar.o ufseek.o
  $(LD) $(LDFLAGS) -s -o sar.exe ../../pdos/pdpclib/w32start.o temp.a ../../pdos/pdpclib/msvcrt.a
  rm -f temp.a

.c.o:
  $(CC) $(COPTS) -o $*.s $<
  $(AS) -o $@ $*.s
  rm -f $*.s
  arwin r temp.a $*.o
  rm -f $*.o

clean:
  rm -f *.o
  rm -f s86.exe
  rm -f temp.a
